Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class NonCatalogLog

    java.lang.Object
      com.beasys.commerce.util.DefaultLog
          com.beasys.commerce.util.NonCatalogLog

All Implemented Interfaces
  Log

    public class NonCatalogLog

extends DefaultLog

Generic class for logging to your server. The default implementation logs to the WebLogic server log facility. You can subclass the methods in this class to log other devices.

See Also
  `Logger`, `NonCatalogLogger`

Field Summary
`protected Map` | `logMap` Map of subsystem names (app names) to NonCatalogLogger classes

Fields inherited from class com.beasys.commerce.util.DefaultLog
`COMMA, DEFAULT_APP_NAME, minimumLevel, QUOTE, showDebug, showDeprecated, SPACE`

Fields inherited from interface com.beasys.commerce.util.Log
`LOG_DEBUG, LOG_DEPRECATED, LOG_ERROR, LOG_FATAL, LOG_INFO, LOG_SECURITY, LOG_WARNING`

Constructor Summary
`NonCatalogLog()` Default constructor.

Method Summary
`protected String` | `assembleMsg(int aLevel, String anAppName, String aMsg)` Assemble the message into the expected output.
`protected NonCatalogLogger` | `getLoggerForApp(String anAppName)` Get (or create) a logger for the specified app name (subsystem)
`protected void` | `logOutput(int aLevel, String anAppName, String aMsg, Throwable anException)` Log the output.
`void` | `setMinimumLevel(int aLevel)` Deprecated does nothing but log a deprecated message. Use domain log filters.

Methods inherited from class com.beasys.commerce.util.DefaultLog
`debug, deprecated, getMinimumLevel, getShowDebug, getShowDeprecated, info, info, log, log, log, log, setShowDebug, setShowDeprecated, textForLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logMap

    protected final Map logMap

  Map of subsystem names (app names) to NonCatalogLogger classes

Constructor Detail

### NonCatalogLog

    public NonCatalogLog()

  Default constructor.

Method Detail

### setMinimumLevel

    public void setMinimumLevel(int aLevel)

  Deprecated does nothing but log a deprecated message. Use domain log filters.

  Deprecated - not used in this implementation

  Specified by:
    `setMinimumLevel` in interface `Log`
  Overrides:
    `setMinimumLevel` in class `DefaultLog`
  Parameters
    `aLevel` - - this must conform to one of LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY

### getLoggerForApp

    protected NonCatalogLogger getLoggerForApp(String anAppName)

  Get (or create) a logger for the specified app name (subsystem)

### assembleMsg

    protected String assembleMsg(int aLevel,
                                 String anAppName,
                                 String aMsg)

  Assemble the message into the expected output.

  Overrides:
    `assembleMsg` in class `DefaultLog`
  Parameters
    `aLevel` -
    `anAppName` -
    `aMsg` -
  Returns
    `String`

### logOutput

    protected void logOutput(int aLevel,
                             String anAppName,
                             String aMsg,
                             Throwable anException)

  Log the output. Override default implementation to write to the log.

  Overrides:
    `logOutput` in class `DefaultLog`
  Parameters
    `aLevel` -
    `anAppName` - the application name
    `aCompleteMsg` -
    `anException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.